Installation VB-Programm auf Server?

15/05/2008 - 12:31 von Peter Singer | Report spam
Hallo liebe Helfer,



habe ein in VB 6.0 erstelltes Programm mit Zugriff (DAO 3.6) auf eine
Accessdatenbank, welches problemlos auf den verschiedenen
Client-MS-Betriebssystemen làuft. Bei der Installation auf einem Server 2003
fragt die Installation allerdings nach, ob die neueren (VSAM-Dateien)
überschrieben werden sollen, was natürlich abgelehnt wurde. Wird das
Programm nach dieser Installation gestartet, überhàuft es den Anwender mit
Fehlermeldungen.



Nach meiner Recherche muss auf dem Server 2003 eine eigene (höhere) Version
der Jet 4.0-Datenbank-Engine installiert sein, die z.B. nicht auf XP làuft.
Hieraus resultieren sehr wahrscheinlich die Überschreibungswarnungen.

http://support.microsoft.com/kb/239114/de



Aber, müsste das Programm nicht dennoch mit der Jet 4.0-Datenbank-Engine
auskommen oder sollte es weitere zu beachtende Ausnahmen geben?



Über eure Hilfe und Anregung freue ich mich

Peter
 

Lesen sie die antworten

#1 Thorsten Doerfler
15/05/2008 - 12:55 | Warnen spam
"Peter Singer" schrieb:

habe ein in VB 6.0 erstelltes Programm mit Zugriff (DAO 3.6) auf eine
Accessdatenbank, welches problemlos auf den verschiedenen
Client-MS-Betriebssystemen làuft. Bei der Installation auf einem Server
2003 fragt die Installation allerdings nach, ob die neueren (VSAM-Dateien)
überschrieben werden sollen, was natürlich abgelehnt wurde. Wird das
Programm nach dieser Installation gestartet, überhàuft es den Anwender mit
Fehlermeldungen.



- Mit welchem Tool nimmst Du die Installation vor?
- Wie sieht Deine Setup.lst aus, wenn es der PWA ist?
- Welche Fehlermeldungen?

Nach meiner Recherche muss auf dem Server 2003 eine eigene (höhere)
Version der Jet 4.0-Datenbank-Engine installiert sein, die z.B. nicht auf
XP làuft. Hieraus resultieren sehr wahrscheinlich die
Überschreibungswarnungen.



Dass alleine schon Überschreibwarnungen kommen, ist Hinweis auf ein kaputtes
Setup.

Aber, müsste das Programm nicht dennoch mit der Jet 4.0-Datenbank-Engine
auskommen oder sollte es weitere zu beachtende Ausnahmen geben?



Schwer zu sagen, ohne genauere Fehlerbeschreibung. Meine VB6 DAO 3.6
Anwendungen ließen sich bisher problemlos unter Win2000/XP/Server2003/Vista
installieren, ohne dass ich hier extra die Jet-Engine ausgeliefert habe.

Thorsten Dörfler
Microsoft MVP Visual Basic

vb-hellfire visual basic faq | vb-hellfire - einfach anders
http://vb-faq.de/ | http://www.vb-hellfire.de/

Ähnliche fragen